Subject: [bug#74958] [PATCH rust-team 1/5] build/cargo.scm: Remove '--release' from default cargo-test-flags.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 19 Dec 2024 21:50:24 +0900

Hi,

Efraim Flashner <[email-masked]> writes:

> IIRC we chose to use '--release' for cargo-test-flags to minimize the
> amount of rebuilding we did with each package.  If the tests are
> expected to be run not in release mode then I guess we should change it.

I see.  I guess it's worth it, I expect it'll reduce the occurrence of
the dreaded 'why does this fail in Guix and not in upstream's CI?'
question.

> I'll apply the patch to rust-team and then go through and see about
> removing the cargo-test-flags from various packages.

Sounds good, thanks for your reactivity!

-- 
Thanks,
Maxim